Name:           gconfmm26
Version:        2.28.0
Release:        1%{?dist}

Summary:        C++ wrapper for GConf2

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gconfmm/2.28/gconfmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  glibmm24-devel >= 2.6.4
BuildRequires:  gtkmm24-devel >= 2.4.0
BuildRequires:  GConf2-devel >= 2.4.0

%description
This package provides a C++ interface for GConf2. It is a subpackage
of the GTKmm project.  The interface provides a convenient interface
for C++ programmers to create Gnome GUIs with GTK+'s flexible
object-oriented framework.

%package devel
Summary:        Headers for developing programs that will use gconfmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel
Requires:       gtkmm24-devel
Requires:       GConf2-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use gconfmm, part of GTKmm, the C++
interface to the GTK+.


%prep
%setup -q -n gconfmm-%{version}

%build
%configure --disable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README INSTALL
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/gconfmm-2.6
%{_libdir}/gconfmm-2.6
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

